Delete a datasource
import requests
url = "https://{FUSION HOST}/api/connectors/datasources/{id}"
response = requests.delete(url)
print(response.text)HttpResponse<String> response = Unirest.delete("https://{FUSION HOST}/api/connectors/datasources/{id}")
.asString();const options = {method: 'DELETE'};
fetch('https://{FUSION HOST}/api/connectors/datasources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/datasources/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/datasources/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/datasources/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request DELETE \
--url https://{FUSION HOST}/api/connectors/datasources/{id}Delete a datasource
Delete the specified datasource configuration.
DELETE
/
connectors
/
datasources
/
{id}
Delete a datasource
import requests
url = "https://{FUSION HOST}/api/connectors/datasources/{id}"
response = requests.delete(url)
print(response.text)HttpResponse<String> response = Unirest.delete("https://{FUSION HOST}/api/connectors/datasources/{id}")
.asString();const options = {method: 'DELETE'};
fetch('https://{FUSION HOST}/api/connectors/datasources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/connectors/datasources/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/connectors/datasources/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/connectors/datasources/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request DELETE \
--url https://{FUSION HOST}/api/connectors/datasources/{id}Path Parameters
The datasource configuration ID.
Query Parameters
Indicates if the configuration should be removed even if a job is currently running.
Indicates if the documents indexed should be also removed.
The context of resource. It usually is the app inside which the resource is created.
Response
204
No Content
Was this page helpful?
⌘I